"""
    lantz.ino.templates
    ~~~~~~~~~~~~~~~~~~~

    Templates used in code generation. Might be deployed as text files in the future.

    The lantz.ino package provides helper classes and methods to work with Arduino.

    :copyright: 2018 by The Lantz Authors
    :license: BSD, see LICENSE for more details.
"""

HEADER_DONOT = """//// ****** THIS FILE IS AUTOGENERATED ******
////
////          >>>> DO NOT CHANGE <<<<
////
/// 
///  Filename; {filename}
///  Source class: {klass}
///  Generation timestamp: {timestamp}
///  Class code hash: {hash}
///
/////////////////////////////////////////////////////////////

"""


HEADER_DO = """//// ****** THIS FILE IS AUTOGENERATED ******
////
////          >>>> PLEASE ADAPT IT TO YOUR NEEDS <<<<
////
/// 
///  Filename; {filename}
///  Source class: {klass}
///  Generation timestamp: {timestamp}
///  Class code hash: {hash}
///
/////////////////////////////////////////////////////////////

"""